<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sy.coinage.workshop.dao.WorkshopEntryDao">
  <resultMap id="BaseResultMap" type="com.sy.coinage.workshop.model.WorkshopEntry">
    <id column="id" jdbcType="INTEGER" property="id"/>
    <result column="order_no" jdbcType="VARCHAR" property="orderNo"/>
    <result column="order_type" jdbcType="INTEGER" property="orderType"/>
    <result column="securities_id" jdbcType="INTEGER" property="securitiesId"/>
    <result column="securities" jdbcType="VARCHAR" property="securities"/>
      <result column="racket_num" jdbcType="INTEGER" property="racketNum"/>
      <result column="racket_total" jdbcType="INTEGER" property="racketTotal"/>
      <result column="box_num" jdbcType="INTEGER" property="boxNum"/>
      <result column="box_total" jdbcType="INTEGER" property="boxTotal"/>
      <result column="pieces_total" jdbcType="INTEGER" property="piecesTotal"/>
      <result column="create_time" jdbcType="TIMESTAMP" property="createTime"/>
      <result column="operator_id" jdbcType="INTEGER" property="operatorId"/>
      <result column="operator_cn" jdbcType="VARCHAR" property="operatorCn"/>
      <result column="check_id" jdbcType="INTEGER" property="checkId"/>
      <result column="checker" jdbcType="VARCHAR" property="checker"/>
      <result column="dept" jdbcType="VARCHAR" property="dept"/>
      <result column="dept_id" jdbcType="INTEGER" property="deptId"/>
  </resultMap>
    <sql id="Base_Column_List">
      id
      , order_no, order_type, securities_id, securities, racket_num, racket_total, box_num, box_total, pieces_total, create_time, operator_id, operator_cn, check_id, checker, dept, dept_id
    </sql>

    <!--  <select id="queryPageList" resultType="com.sy.coinage.workshop.vo.WorkshopEntryVO">-->
    <!--    SELECT-->
    <!--    rfid_workshop_entry.*-->
    <!--    FROM-->
    <!--    rfid_workshop_entry-->
    <!--    LEFT JOIN-->
    <!--    rfid_workshop_entry-->
    <!--    ON-->
    <!--    rfid_workshop_entry.id = rfid_workshop_entry.id-->
    <!--    <if test="ew.emptyOfWhere == false">-->
    <!--      ${ew.customSqlSegment}-->
    <!--    </if>-->
    <!--  </select>-->

</mapper>

